| Home | Libraries | People | FAQ | More

## Struct template allocator

boost::interprocess::segment_manager::allocator

## Synopsis

    // In header: <boost/interprocess/segment_manager.hpp>

    template<typename T>
    struct allocator {
      // types
      typedef boost::interprocess::allocator< T, segment_manager > type;
    };

## Description

This is the default allocator to allocate types T from this managed segment